flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dian Fu (Jira)" <j...@apache.org>
Subject [jira] [Closed] (FLINK-23984) 'Run kubernetes pyflink application test' fail with "Package 'python3.7' has no installation candidate"
Date Fri, 27 Aug 2021 14:51:00 GMT

     [ https://issues.apache.org/jira/browse/FLINK-23984?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Dian Fu closed FLINK-23984.
---------------------------
    Resolution: Fixed

Fixed in:
- master via 83987dd090b7fed0158e6ab952cdc8669e08d029
- release-1.13 via 2bf0f369391a08eb0df5aba809cca12da1da98e9
- release-1.12 via adcd545d059d8dcb28d332fe4da56df209fb86b5

> 'Run kubernetes pyflink application test' fail with "Package 'python3.7' has no installation
candidate" 
> --------------------------------------------------------------------------------------------------------
>
>                 Key: FLINK-23984
>                 URL: https://issues.apache.org/jira/browse/FLINK-23984
>             Project: Flink
>          Issue Type: Bug
>          Components: API / Python
>    Affects Versions: 1.14.0
>            Reporter: Xintong Song
>            Assignee: Dian Fu
>            Priority: Blocker
>              Labels: pull-request-available, test-stability
>             Fix For: 1.14.0
>
>
> https://dev.azure.com/apache-flink/apache-flink/_build/results?buildId=22862&view=logs&j=c88eea3b-64a0-564d-0031-9fdcd7b8abee&t=070ff179-953e-5bda-71fa-d6599415701c&l=4201
> {code}
> Aug 26 03:34:14 Step 1/9 : FROM test_kubernetes_application-1
> Aug 26 03:34:14  ---> 95da2424deaa
> Aug 26 03:34:14 Step 2/9 : RUN apt-get update -y && apt-get install -y python3.7
python3-pip python3.7-dev && rm -rf /var/lib/apt/lists/*
> Aug 26 03:34:17  ---> Running in 4751135e4612
> Aug 26 03:34:17 Get:1 http://deb.debian.org/debian bullseye InRelease [113 kB]
> Aug 26 03:34:17 Get:2 http://security.debian.org/debian-security bullseye-security InRelease
[44.1 kB]
> Aug 26 03:34:17 Get:3 http://deb.debian.org/debian bullseye-updates InRelease [36.8 kB]
> Aug 26 03:34:17 Get:4 http://security.debian.org/debian-security bullseye-security/main
amd64 Packages [27.5 kB]
> Aug 26 03:34:17 Get:5 http://deb.debian.org/debian bullseye/main amd64 Packages [8178
kB]
> Aug 26 03:34:19 Fetched 8399 kB in 2s (5266 kB/s)
> Aug 26 03:34:19 Reading package lists...
> Aug 26 03:34:20 Reading package lists...
> Aug 26 03:34:20 Building dependency tree...
> Aug 26 03:34:20 Reading state information...
> Aug 26 03:34:20 Package python3.7 is not available, but is referred to by another package.
> Aug 26 03:34:20 This may mean that the package is missing, has been obsoleted, or
> Aug 26 03:34:20 is only available from another source
> Aug 26 03:34:20 
> Aug 26 03:34:20 E: Package 'python3.7' has no installation candidate
> Aug 26 03:34:20 E: Unable to locate package python3.7-dev
> Aug 26 03:34:20 E: Couldn't find any package by glob 'python3.7-dev'
> Aug 26 03:34:20 E: Couldn't find any package by regex 'python3.7-dev'
> The command '/bin/sh -c apt-get update -y && apt-get install -y python3.7 python3-pip
python3.7-dev && rm -rf /var/lib/apt/lists/*' returned a non-zero code: 100
> {code}



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message